Videos
Create video
Create a new video entry with metadata
POST
Create a new video entry with metadata
bearerAuthheader
AuthorizationBearer <token>Authentication token from login or API key
Create video data
application/json- body
title*stringdescription?string|null|nullduration*stringLength
1 <= lengththumbnailUrl?string|null|nullvideoUrl?string|null|nullorganizationId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidtranscript?string|null|nullaiSummary?string|null|null[key: string]?anyVideo created successfully
application/json- response
id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidtitle*stringdescription*string|nullduration*stringthumbnailUrl*string|nullvideoUrl*string|nullauthorId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidorganizationId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidchannelId*|nullcollectionId*|nulltranscript*string|nullaiSummary*string|nullviewCount*number|isPublic*booleanisDeleted*booleandeletedAt*string|nullretentionUntil*string|nullcreatedAt*stringupdatedAt*string[key: string]?anycurl -X POST 'https://nuclom.com/api/videos' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "duration": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "duration": "string", "thumbnailUrl": "string", "videoUrl": "string", "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "transcript": "string", "aiSummary": "string", "viewCount": 0, "isPublic": true, "isDeleted": true, "deletedAt": "string", "retentionUntil": "string", "createdAt": "string", "updatedAt": "string"}